import { _decorator, Component, Label, native, Node, sys } from 'cc';
const { ccclass, property } = _decorator;
let tips_global = null;
//@ts-ignore
window.TestNativeCallJs = function () {
    tips_global.string = "The test was successful...";
}

@ccclass('NativeCallCtrl')
export class NativeCallCtrl extends Component {

    @property(Label)
    tips: Label = null;

    start() {
        tips_global = this.tips;
    }

    onClick () {
        if (sys.os === sys.OS.ANDROID) {
            let className = "com/cocos/game/AppActivity";
            let methodName = "showAlertDialog";
            let methodSignature = "(Ljava/lang/String;Ljava/lang/String;)V";
            native.reflection.callStaticMethod(className, methodName, methodSignature, "Title", "Native Call Test is OK");
        } else if (sys.os === sys.OS.IOS) {
            let className = "AppDelegate";
            let methodName = "showAlertDialog:withMessage:";
            native.reflection.callStaticMethod(className, methodName, "Title", "Native Call Test is OK");
        }
    }
}


